# class toBackground

A descendant of timer which will indicate in the statusbar of the main window when any timer is running. More...

Definition | `#include <tobackground.h>`
Inherits | toTimer [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toBackground (QObject* parent=0,const char* name=0)
- ~toBackground ()
- void start (int msec)
- void stop (void)

#### Public Static Methods

- static void init (void)

## Detailed Description

A descendant of timer which will indicate in the statusbar of the main window when any timer is running. Can not do singleshots, only periodic intervals.

toBackground (QObject* parent=0,const char* name=0)

### toBackground

Create a background timer widget.

Parameters:

parent | Parent widget.
name | Name of widget.

~toBackground ()

### ~toBackground

void start (int msec)

### start

Start repeating timer with msec interval.

Parameters:

msec | Millsecond repeat interval.

Reimplemented from toTimer.

void stop (void)

### stop

Stop timer

Reimplemented from QTimer.

void init (void)

### init

[static]